package com.zhiqiyun.open.core.enmus;


/**
 * @author jtoms
 */

public enum PasswordType implements IBaseEnum {
    /**
     *
     */
    login(1, "登录密码"), trade(2, "交易密码");

    private final int value;
    private final String text;

    PasswordType(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static PasswordType valueOf(int value) {
        PasswordType[] values = PasswordType.values();
        for (PasswordType type : values) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }

    public String getText() {
        return text;
    }

    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
